public class genTest
{
  public static void main(String arg[])
  {
  Gene x1=new Gene(20.0,0,100,63);
  Gene x2=new Gene(50.0,0,100,63);
  Gene x3=new Gene(0,100);
  x3.setGene(x1,x2);
  Gene x4=new Gene(0,100);
  x4.cross1(0.5,x3,x1);
  System.out.println("x1="+x1.toString()  +"x2="+x2.toString()+"x3="+x3.toString()+"x4="+x4.toString());
  }
}